Subject: Re: Contextual conflict between kspp and rcu trees

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 Jun 2022 09:09:51 +1000

Hi all,

On Wed, 15 Jun 2022 14:12:20 -0700 "Paul E. McKenney" <[email-masked]> wrote:
>
> On Wed, Jun 15, 2022 at 01:35:28PM -0700, Nathan Chancellor wrote:
> > On Wed, Jun 15, 2022 at 01:28:00PM -0700, Kees Cook wrote:  
> > > On Wed, Jun 15, 2022 at 12:55:53PM -0700, Nathan Chancellor wrote:  
> > > > Per the above RCU commit and commit 6c5218715286 ("context_tracking:
> > > > Take IRQ eqs entrypoints over RCU"), it appears that the following diff
> > > > is the proper fix up. Would you mind applying it to the merge of
> > > > whichever tree comes second if possible? I did build and boot test it
> > > > but it would not be a bad idea for Sami and Frederic to verify that it
> > > > is correct so that Kees/Paul can mention it to Linus :)  
> > > 
> > > Actually, the CFI fix (and a few others) are meant to be sent for
> > > -rc3, so if the ct_irq_enter() change is in -next, this can maybe get
> > > sorted out?  
> > 
> > Ah, I had assumed that branch was destined for the next release. If it
> > is for 5.19 and they make -rc3 then it should be trivial for Paul to
> > either rebase the changes on -rc3 and apply that diff as part of
> > "context_tracking: Take IRQ eqs entrypoints over RCU" (if his tree is
> > mutable) or just merge -rc3 and apply that diff as part of the merge. I
> > don't really care how it gets resolved, just so long as it does :)  
> 
> My tree will remain mutable for a few more weeks, so we should be
> good.  ;-)

The CFI fix is in Linus' tree today.

Paul, you could just merge commit 1dfbe9fcda4a ("usercopy: Make
usercopy resilient against ridiculously large copies") from Linus' tree
(or rebase on top of that or 30306f6194ca "Merge tag
"hardening-v5.19-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/kees/linux"
since it is based on -rc2).
-- 
Cheers,
Stephen Rothwell